IETFUtils (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x500.style

## Class IETFUtils

- java.lang.Object
- - org.bouncycastle.asn1.x500.style.IETFUtils

-     public class IETFUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IETFUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendRDN(java.lang.StringBuffer buf, RDN rdn, java.util.Hashtable oidSymbols)`
    `static void` | `appendRDN(java.lang.StringBuilder buf, RDN rdn, java.util.Hashtable oidSymbols)`
    `static void` | `appendTypeAndValue(java.lang.StringBuffer buf, AttributeTypeAndValue typeAndValue, java.util.Hashtable oidSymbols)`
    `static void` | `appendTypeAndValue(java.lang.StringBuilder buf, AttributeTypeAndValue typeAndValue, java.util.Hashtable oidSymbols)`
    `static java.lang.String` | `canonicalize(java.lang.String s)`
    `static java.lang.String` | `canonicalString(ASN1Encodable value)`
    `static ASN1ObjectIdentifier` | `decodeAttrName(java.lang.String name, java.util.Hashtable lookUp)`
    `static java.lang.String[]` | `findAttrNamesForOID(ASN1ObjectIdentifier oid, java.util.Hashtable lookup)`
    `static boolean` | `rDNAreEqual(RDN rdn1, RDN rdn2)`
    `static RDN[]` | `rDNsFromString(java.lang.String name, X500NameStyle x500Style)`
    `static java.lang.String` | `stripInternalSpaces(java.lang.String str)`
    `static ASN1Encodable` | `valueFromHexString(java.lang.String str, int off)`
    `static java.lang.String` | `valueToString(ASN1Encodable value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IETFUtils

          public IETFUtils()

  - ### Method Detail

    - #### rDNsFromString

          public static RDN[] rDNsFromString(java.lang.String name,
                                             X500NameStyle x500Style)

    - #### findAttrNamesForOID

          public static java.lang.String[] findAttrNamesForOID(ASN1ObjectIdentifier oid,
                                                               java.util.Hashtable lookup)

    - #### decodeAttrName

          public static ASN1ObjectIdentifier decodeAttrName(java.lang.String name,
                                                            java.util.Hashtable lookUp)

    - #### valueFromHexString

          public static ASN1Encodable valueFromHexString(java.lang.String str,
                                                         int off)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### appendRDN

          public static void appendRDN(java.lang.StringBuilder buf,
                                       RDN rdn,
                                       java.util.Hashtable oidSymbols)

    - #### appendRDN

          public static void appendRDN(java.lang.StringBuffer buf,
                                       RDN rdn,
                                       java.util.Hashtable oidSymbols)

    - #### appendTypeAndValue

          public static void appendTypeAndValue(java.lang.StringBuilder buf,
                                                AttributeTypeAndValue typeAndValue,
                                                java.util.Hashtable oidSymbols)

    - #### appendTypeAndValue

          public static void appendTypeAndValue(java.lang.StringBuffer buf,
                                                AttributeTypeAndValue typeAndValue,
                                                java.util.Hashtable oidSymbols)

    - #### valueToString

          public static java.lang.String valueToString(ASN1Encodable value)

    - #### canonicalize

          public static java.lang.String canonicalize(java.lang.String s)

    - #### canonicalString

          public static java.lang.String canonicalString(ASN1Encodable value)

    - #### stripInternalSpaces

          public static java.lang.String stripInternalSpaces(java.lang.String str)

    - #### rDNAreEqual

          public static boolean rDNAreEqual(RDN rdn1,
                                            RDN rdn2)